package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFL31 extends MwfRequest<MWFL31, MWFL31Response> {

    @Parameter(name = "CIF")
    MWFL31 cif(String cif);
    @Parameter(name = "DIC")
    MWFL31 dic(String dic);
    @Parameter(name = "DatumNarozeni")
    MWFL31 datumNarozeni(java.util.Date datumNarozeni);
    @Parameter(name = "Domicil")
    MWFL31 domicil(String domicil);
    @Parameter(name = "DruhDruhehoDokladu")
    MWFL31 druhDruhehoDokladu(String druhDruhehoDokladu);
    @Parameter(name = "DruhyDokladCislo")
    MWFL31 druhyDokladCislo(String druhyDokladCislo);
    @Parameter(name = "DruhyDokladPlatnost")
    MWFL31 druhyDokladPlatnost(java.util.Date druhyDokladPlatnost);
    @Parameter(name = "EkonomAktivCR")
    MWFL31 ekonomAktivCR(String ekonomAktivCR);
    @Parameter(name = "EkonomAktivSR")
    MWFL31 ekonomAktivSR(String ekonomAktivSR);
    @Parameter(name = "Email")
    MWFL31 email(String email);
    @Parameter(name = "Fax")
    MWFL31 fax(String fax);
    @Parameter(name = "ICO")
    MWFL31 ico(String ico);
    @Parameter(name = "Jmeno")
    MWFL31 jmeno(String jmeno);
    @Parameter(name = "MistoNarozeni")
    MWFL31 mistoNarozeni(String mistoNarozeni);
    @Parameter(name = "Mobil")
    MWFL31 mobil(String mobil);
    @Parameter(name = "OPCislo")
    MWFL31 oPCislo(String oPCislo);
    @Parameter(name = "OPPlatnost")
    MWFL31 oPPlatnost(java.util.Date oPPlatnost);
    @Parameter(name = "PSC")
    MWFL31 psc(String psc);
    @Parameter(name = "PasCislo")
    MWFL31 pasCislo(String pasCislo);
    @Parameter(name = "PasPlatnost")
    MWFL31 pasPlatnost(java.util.Date pasPlatnost);
    @Parameter(name = "PlatceDPH")
    MWFL31 platceDPH(String platceDPH);
    @Parameter(name = "Pobocka")
    MWFL31 pobocka(String pobocka);
    @Parameter(name = "Prijmeni")
    MWFL31 prijmeni(String prijmeni);
    @Parameter(name = "Produkt")
    MWFL31 produkt(String produkt);
    @Parameter(name = "RezidentCR")
    MWFL31 rezidentCR(String rezidentCR);
    @Parameter(name = "RezidentSR")
    MWFL31 rezidentSR(String rezidentSR);
    @Parameter(name = "RodneCislo")
    MWFL31 rodneCislo(String rodneCislo);
    @Parameter(name = "Sidlo")
    MWFL31 sidlo(String sidlo);
    @Parameter(name = "StatniPrislusnost")
    MWFL31 statniPrislusnost(String statniPrislusnost);
    @Parameter(name = "Telefon")
    MWFL31 telefon(String telefon);
    @Parameter(name = "Telefon2")
    MWFL31 telefon2(String telefon2);
    @Parameter(name = "TitulPred")
    MWFL31 titulPred(String titulPred);
    @Parameter(name = "TitulZa")
    MWFL31 titulZa(String titulZa);
    @Parameter(name = "TypKlient")
    MWFL31 typKlient(String typKlient);
    @Parameter(name = "Ulice")
    MWFL31 ulice(String ulice);
    @Parameter(name = "Zeme")
    MWFL31 zeme(String zeme);
    @Parameter(name = "ZvyhodnenyKlient")
    MWFL31 zvyhodnenyKlient(String zvyhodnenyKlient);
}
